# -*- encoding: utf-8 -*-
# stub: rtfm-filemanager 7.0.5 ruby lib

Gem::Specification.new do |s|
  s.name = "rtfm-filemanager".freeze
  s.version = "7.0.5".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "source_code_uri" => "https://github.com/isene/RTFM" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Geir Isene".freeze]
  s.date = "2025-08-19"
  s.description = "RTFM v7.0.5: Added fallback to 'cat' when pandoc or batcat are not available (Issue #8).\n A full featured terminal browser with syntax highlighted files, images shown in the terminal, videos thumbnailed, etc. Features include remote SSH/SFTP browsing, interactive SSH shell, comprehensive undo system, bookmarks, and much more. You can bookmark and jump around easily, delete, rename, copy, symlink and move files. RTFM is one of the most feature-packed terminal file managers.".freeze
  s.email = "g@isene.com".freeze
  s.executables = ["rtfm".freeze]
  s.files = ["bin/rtfm".freeze]
  s.homepage = "https://isene.com/".freeze
  s.licenses = ["Unlicense".freeze]
  s.rubygems_version = "3.4.20".freeze
  s.summary = "RTFM - Ruby Terminal File Manager".freeze

  s.installed_by_version = "3.6.9".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<rcurses>.freeze, ["~> 6.0".freeze])
  s.add_runtime_dependency(%q<bootsnap>.freeze, ["~> 1.18".freeze])
  s.add_runtime_dependency(%q<ruby-openai>.freeze, [">= 7.4".freeze])
end
